<?php

class View {

	use \modules\output\traits {
			\modules\output\traits::__construct as __ConstructOutput;
		}

	public $static;

	// $this('id') returns a blank \FileObject - the calling view will then populate the extra fields - title, html...
	public function __invoke($id) {
		return $this->IncludeTemplate($id);	// then set title and html
	}
	
	public function __construct() {
		$this->__ConstructOutput();
	} 

}
